Bug 131373 - undefined source code in FC3 test1
undefined source code in FC3 test1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libwmf (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-31 13:49 EDT by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 06:04:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-08-31 13:49:40 EDT
Description of problem:

I just tried to compile package libwmf-0.2.8.3-2 from
Redhat Fedora Core 3 Test 1.

The compiler said

1.

gd_gd2.c:641: warning: operation on `chunkPos' may be undefined

The source code is

                          ch = chunkBuf[chunkPos++] << 24 +
                            chunkBuf[chunkPos++] << 16 +
                            chunkBuf[chunkPos++] << 8 +
                            chunkBuf[chunkPos++];

This code is undefined. Suggest

                          ch = chunkBuf[ chunkPos] << 24 +
                            chunkBuf[chunkPos + 1] << 16 +
                            chunkBuf[chunkPos + 2] << 8 +
                            chunkBuf[chunkPos + 3];
						chunkPos += 4;

is not undefined code.

2.

recorder.c:767: warning: `return' with no value, in function returning
non-void

The source code is

      return;

Suggest add return value.

3.

recorder.c:1580: warning: `return' with no value, in function
returning non-void

The source code is

  if (length == 0) return;

Same problem again.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2004-09-01 06:04:25 EDT
Got it, fixed (along with all the other warnings) in libwmf-0.2.8.3-4
pushed to rawhide just now, should appear tomorrow. Also submitted
upstream to
http://sourceforge.net/tracker/index.php?func=detail&aid=1020302&group_id=10501&atid=310501

Note You need to log in before you can comment on or make changes to this bug.